import 'package:be_happy/core/result.dart';
import '../entities/scooter_order.dart';
import '../repositories/scooter_repository.dart';

class PayScooterOrderWithPhotosUsecase {
  final ScooterRepository repository;

  PayScooterOrderWithPhotosUsecase(this.repository);

  Future<Result<void>> call({
    required int orderId,
    required int cardId,
    required bool isBalance,
  }) {
    return repository.payScooterOrderWithPhotos(
      orderId: orderId,
      cardId: cardId,
      isBalance: isBalance,
    );
  }
}
